aboutsummaryrefslogtreecommitdiff
path: root/scripts/Rsplit_surface
diff options
context:
space:
mode:
authorThomas White <taw@physics.org>2013-09-16 10:16:02 +0200
committerThomas White <taw@physics.org>2013-09-16 10:16:18 +0200
commitb94386e57353dbd6aba74e8c605647091dc85403 (patch)
treed2f63236cfad78738e300289d02ce1ec5e4c3c48 /scripts/Rsplit_surface
parent9f5477e8e67748543ba7cf8131b1d1d41d616ee8 (diff)
Add Rsplit_surface and clean-stream.py
Diffstat (limited to 'scripts/Rsplit_surface')
-rwxr-xr-xscripts/Rsplit_surface62
1 files changed, 62 insertions, 0 deletions
diff --git a/scripts/Rsplit_surface b/scripts/Rsplit_surface
new file mode 100755
index 00000000..3cd22d67
--- /dev/null
+++ b/scripts/Rsplit_surface
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+# Rsplit_surface
+#
+# Plot Rsplit as a contour map
+#
+# Copyright © 2013 Fedor Chervinskii
+# Copyright © 2013 Deutsches Elektronen-Synchrotron DESY,
+# a research centre of the Helmholtz Association.
+#
+# Authors:
+# 2013 Fedor Chervinskii <fedor.chervinskii@gmail.com>
+# 2013 Thomas White <taw@physics.org>
+#
+# This file is part of CrystFEL.
+#
+# CrystFEL is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# CrystFEL is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with CrystFEL. If not, see <http://www.gnu.org/licenses/>.
+
+filename=$1
+pdbfilename=$2
+pg=$3
+
+if [ x$filename = "x" -o x$pdbfilename = "x" -o x$pg = "x" ]; then
+ echo "Syntax: Rsplit_surface my.stream my.pdb <point group>"
+ exit 1
+fi
+
+python clean-stream.py $filename clean.stream
+filename=clean.stream
+
+LIMIT=3
+
+for ((a=1; a <= LIMIT ; a++))
+do
+ let string=$a
+ ./alternate-stream $filename ${filename/./1.} ${filename/./2.}
+ if (($a > 1)); then
+ rm $filename
+ fi
+ process_hkl -i ${filename/./1.} -o ${filename/.stream/1.hkl} -y $pg
+ process_hkl -i ${filename/./2.} -o ${filename/.stream/2.hkl} -y $pg
+ compare_hkl ${filename/.stream/1.hkl} ${filename/.stream/2.hkl} -y $pg -p ${pdbfilename} --fom=rsplit --shell-file=rsplit$string.dat
+ rm ${filename/./2.}
+ rm ${filename/.stream/1.hkl}
+ rm ${filename/.stream/2.hkl}
+ filename=${filename/.stream/1.stream}
+done
+
+rm $filename
+
+python Rsplit_surface.py $1